Summary: Linux system and kernel logger
Name: sysklogd
Version: 1.3
Release: 19
Copyright: GPL
Group: Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/daemons/sysklogd-1.3.tar.gz
Source1: syslog.conf.rhs
Source2: syslog.init
Source3: syslog.log
Patch0: sysklogd-1.3-pl1.patch
Patch1: sysklogd-1.3-pl2.patch
Patch2: sysklogd-1.3-pl3.patch
Patch3: sysklogd-1.3-make.patch
Patch4: sysklogd-1.3-glibc.patch
Patch5: sysklogd-1.3-getutent.patch
Patch6: sysklogd-1.3-kernel21.patch
Prereq: fileutils, /sbin/chkconfig
Requires: logrotate
BuildRoot: /tmp/sysklogd-root

%changelog

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added (missingok) to init symlinks

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>

- added status|restart support to syslog.init
- added chkconfig support
- various spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is the Linux system and kernel logging program.  It is run
as a daemon (background process) to log messages to different
places.  These are usually things like sendmail logs, security
logs, and errors from other daemons.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch5 -p1 -b .getutent
%patch4 -p1 -b .noglibc

%ifarch sparc
%patch6 -p1 -b .broken
%endif 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/{init.d,rc{0,1,2,3,4,5,6}.d}}
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man{1,5,8}}
make install BINDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/usr/man
install -m644 $RPM_SOURCE_DIR/syslog.conf.rhs $RPM_BUILD_ROOT/etc/syslog.conf

strip $RPM_BUILD_ROOT/usr/*bin/* || :

install -m755 -o root -g root $RPM_SOURCE_DIR/syslog.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K70syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K70syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S30syslog
ln -sf ../init.d/syslog $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K70syslog

install -m644 -o root -g root $RPM_SOURCE_DIR/syslog.log \
	$RPM_BUILD_ROOT/etc/logrotate.d/syslog

chmod 755 $RPM_BUILD_ROOT/usr/sbin/syslogd
chmod 755 $RPM_BUILD_ROOT/usr/sbin/klogd

gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/messages /var/log/secure /var/log/maillog /var/log/spooler; do
	if [ ! -f $n ]; then
		touch $n
		chmod 600 $n
	fi
done
/sbin/chkconfig --add syslog

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del syslog
fi

%files
%doc ANNOUNCE README* NEWS INSTALL Sysklogd-1.3.lsm
%config /etc/syslog.conf
%config /etc/logrotate.d/syslog
%config /etc/rc.d/init.d/syslog
%config(missingok) /etc/rc.d/rc0.d/K70syslog
%config(missingok) /etc/rc.d/rc3.d/S30syslog
%config(missingok) /etc/rc.d/rc1.d/K70syslog
%config(missingok) /etc/rc.d/rc5.d/S30syslog
%config(missingok) /etc/rc.d/rc2.d/S30syslog
%config(missingok) /etc/rc.d/rc6.d/K70syslog
/usr/sbin/syslogd
/usr/sbin/klogd
/usr/man/man8/klogd.8.gz
/usr/man/man8/sysklogd.8.gz
/usr/man/man8/syslogd.8.gz
/usr/man/man5/syslog.conf.5.gz
